Bug 40807 - LibreOffice -convert-to does not work
Summary: LibreOffice -convert-to does not work
Status: RESOLVED DUPLICATE of bug 37531
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-12 12:59 UTC by Bryan Christ
Modified: 2013-06-06 20:34 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Christ 2011-09-12 12:59:56 UTC
I have tried running this command many times and all it does is exit and produce no output.

/usr/lib/libreoffice/program/soffice -headless -convert-to pdf myfile.ext

(where myfile.ext is the input file)

I have tried odt as the output target and also picked other input files.  Nothing works.  Here are some of the combinations of input and output options I have tried:

doc -> pdf
doc -> odt
txt -> pdf
odt -> pdf
odt -> doc
Comment 1 Bryan Christ 2011-09-14 08:43:10 UTC
Mystery solved.  For those of you baffled by this problem, here it is:

If soffice is already running (via the QuickStarter) or you already LibreOffice open working on another document, the --convert-to (in older version -convert-to) will fail.  This is unfortunate because using the quickstarter greatly improves performance.  I'm not sure why these are exclusive.

LibreOffice developers... can you fix this?
Comment 2 Bryan Christ 2011-09-14 08:51:27 UTC
This is a problem in the 3.4.x branch as well.
Comment 3 Björn Michaelsen 2011-12-23 12:40:29 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 4 Florian Reisinger 2012-08-14 14:00:15 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 5 Florian Reisinger 2012-08-14 14:01:23 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 6 Florian Reisinger 2012-08-14 14:06:07 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 7 Florian Reisinger 2012-08-14 14:08:08 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 8 Joshua Koudys 2013-02-24 01:56:04 UTC
Okay, this is still definitely a problem. All I see are a bunch of system-generated responses and then this thing auto-closed as "RESOLVED INVALID". Has any human being apart from its submitter actually looked at this?
I can produce this issue so can give you any info you need to debug. 
It looks like libreoffice tries to make things more efficient, since when you run 'soffice' while an instance is already running, it brings that window to the front. This is fine when using it on a GUI as a single-user, but a big reason to use LibreOffice is for running it on a server to convert, or quickly extract information from a wide variety of file formats. According to all the docs, I should be able to just nicely start soffice running like a service like so:

$  soffice --nofirststartwizard --minimized --invisible --accept="socket,port=8100;urp;"

Then from a separate process connect to it to quickly run small tasks, like conversion:
$ soffice --headless --convert-to pdf MyDocument.doc

Except: this just returns straight away, because soffice just sees that it's already running, and does nothing but try and make the 'main window' pop up. Obviously this is inapplicable in --invisible mode.
I know it's definitely connecting, since when I start it like a service, then in another window run:
$ soffice -nofirststartwizard
in the window running the service, I see:

Warning: -nofirststartwizard is deprecated.  Use --nofirststartwizard instead.


Please please take a look at this. It would be a huge performance improvement, especially to those of us running libreoffice on backend servers. The file conversions libreoffice does are excellent and with a few small updates libreoffice could be for web applications managing office docs what imagemagick is to apps that manipulate images.
Comment 9 Bryan Christ 2013-02-25 16:53:57 UTC
@joshua, thank you for following up on this.  your comments express my senitments exactly.
Comment 10 Riccardo Magliocchetti 2013-06-06 20:34:13 UTC
Closing this as duplicated, btw if you have issues with startup time why not using something like unoconv instead?

*** This bug has been marked as a duplicate of bug 37531 ***